Loading...
Searching...
No Matches
Opm::BlackOilBrineModule< TypeTag, enableBrineV > Class Template Reference

Contains the high level supplements required to extend the black oil model by brine. More...

`#include <blackoilbrinemodules.hh>`

## Static Public Member Functions

static void | setParams (BlackOilBrineParams< Scalar > &&params)
| Set parameters.
static void | registerParameters ()
| Register all run-time parameters for the black-oil brine module.
static bool | primaryVarApplies (unsigned pvIdx)
template<class FluidState>
static void | assignPrimaryVars (PrimaryVariables &priVars, const FluidState &fluidState)
| Assign the brine specific primary variables to a PrimaryVariables object.
static std::string | primaryVarName (unsigned pvIdx)
static Scalar | primaryVarWeight (unsigned pvIdx)
static bool | eqApplies (unsigned eqIdx)
static std::string | eqName (unsigned eqIdx)
static Scalar | eqWeight (unsigned eqIdx)
template<class LhsEval>
static void | addStorage (Dune::FieldVector< LhsEval, numEq > &storage, const IntensiveQuantities &intQuants)
static void | computeFlux (RateVector &flux, const ElementContext &elemCtx, unsigned scvfIdx, unsigned timeIdx)
template<class UpstreamEval>
static void | addBrineFluxes_ (RateVector &flux, const ElementContext &elemCtx, unsigned scvfIdx, unsigned timeIdx)
template<class UpEval, class FluidState>
static void | addBrineFluxes_ (RateVector &flux, unsigned phaseIdx, const Evaluation &volFlux, const FluidState &upFs)
static Scalar | computeUpdateError (const PrimaryVariables &, const EqVector &)
| Return how much a Newton-Raphson update is considered an error.
template<class DofEntity>
static void | serializeEntity (const Model &model, std::ostream &outstream, const DofEntity &dof)
template<class DofEntity>
static void | deserializeEntity (Model &model, std::istream &instream, const DofEntity &dof)
static Scalar | referencePressure (const ElementContext &elemCtx, unsigned scvIdx, unsigned timeIdx)
static const TabulatedFunction & | bdensityTable (const ElementContext &elemCtx, unsigned scvIdx, unsigned timeIdx)
static const TabulatedFunction & | pcfactTable (unsigned satnumRegionIdx)
static const TabulatedFunction & | permfactTable (const ElementContext &elemCtx, unsigned scvIdx, unsigned timeIdx)
static const TabulatedFunction & | permfactTable (unsigned satnumRegionIdx)
static Scalar | saltsolTable (const ElementContext &elemCtx, unsigned scvIdx, unsigned timeIdx)
static Scalar | saltsolTable (const unsigned pvtnumRegionIdx)
static Scalar | saltdenTable (const ElementContext &elemCtx, unsigned scvIdx, unsigned timeIdx)
static Scalar | saltdenTable (const unsigned pvtnumRegionIdx)
static bool | hasBDensityTables ()
static bool | hasSaltsolTables ()
static bool | hasPcfactTables ()
static Scalar | saltSol (unsigned regionIdx)

## Detailed Description

template<class TypeTag, bool enableBrineV = getPropValue<TypeTag, Properties::EnableBrine>()>
class Opm::BlackOilBrineModule< TypeTag, enableBrineV >

Contains the high level supplements required to extend the black oil model by brine.

The documentation for this class was generated from the following file:

- opm/models/blackoil/blackoilbrinemodules.hh